Unable to upgrade packages in rawhide

It shouldn’t matter what the repo or software is. The problem is dnf5 not upgrading when there is seemingly an available upgrade with higher EVR. Both epoch 0, 2.0.9-1 is higher than 1.3.12-1.1

Can you get the solving data:

cd /tmp
dnf --assumeno --refresh up nano --debugsolver
cat debugdata/packages/{testcase.t,solver.result}

Note it might create some large files in ./debugdata with the repo metadata, depending on the repos you have enabled.

1 Like